C++FILT(1)

NAME
c++filt - decode C++ symbols

SYNOPSIS
c++filt [--help] [-_ | --strip-underscores] [-n | --no-strip-underscores] [-p | --no-params] [-s scheme | --format=scheme] [-V | --version] [encoded-names ...]

DESCRIPTION
The c++filt utility translates encoded C++ symbol names to human-readable form.

The c++filt utility has two operating modes.

•   If arguments encoded-names are not specified, then c++filt will act as a filter, reading from standard input and writing to standard output.

•   If arguments encoded-names are specified, then c++filt will decode each such argument in turn, writing its decoded form to standard output.

The c++filt utility recognizes the following options:

--help
    Print a help message and exit.

-_ | --strip-underscores
    Remove a leading underscore from symbol names prior to decoding them.

-n | --no-strip-underscores
    Do not remove leading underscores from names.

-p | --no-params
    This option is recognized but ignored.

-s scheme | --format=scheme
    Select the encoding scheme to use. Argument scheme can be one of the following:

    arm Use the encoding scheme specified by the C++ Annotated Reference Manual.

    auto
        Guess the encoding scheme from the input.

    gnu Use the encoding scheme used by the GNU C++ compiler.

    gnu-v3
        Use the encoding scheme used by the GNU C++ compiler, version 3.

-V | --version
    Print a version identifier for c++filt and exit.

EXIT STATUS

SEE ALSO
nm(1), strip(1), elftc_demangle(3)

AUTHORS
The c++filt utility was written by Kai Wang <kaiwang27@users.sourceforge.net>.